Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.command
Class BatchSignalCommand

    java.lang.Object
      org.jbpm.command.BatchSignalCommand

All Implemented Interfaces:
  java.io.Serializable, Command

    public class BatchSignalCommand

extends java.lang.Object
implements Command

a bunch of processes is signalled with this command. you can specify the tokens either

- by a array of token ids
- or by processName, processVersion (optional, without all versions), stateName transitionName speicifies the transition to take (if null, the default transition is taken). This command can be for example useful, if you have a lot of processes to check some information a not jBPM task has altered before (maybe in batch too). CURRENTLY EXPERIMENTAL!

  Author:
    Bernd Rucker (bernd.ruecker@camunda.com)
  See Also:
    Serialized Form

  Constructor Summary
  `BatchSignalCommand()`

  Method Summary
  `java.lang.Object` | `execute(JbpmContext jbpmContext)`
  `java.util.Date` | `getInStateAtLeastSince()`
  `java.lang.String` | `getProcessName()`
  `long` | `getProcessVersion()`
  `java.lang.String` | `getStateName()`
  `long[]` | `getTokenIds()`
  `java.lang.String` | `getTransitionName()`
  `void` | `setInStateAtLeastSince(java.util.Date inStateAtLeastSince)`
  `void` | `setProcessName(java.lang.String processName)`
  `void` | `setProcessVersion(long processVersion)`
  `void` | `setStateName(java.lang.String stateName)`
  `void` | `setTokenIds(long[] tokenIds)`
  `void` | `setTransitionName(java.lang.String transitionName)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### BatchSignalCommand

      public BatchSignalCommand()

  Method Detail

  ### execute

      public java.lang.Object execute(JbpmContext jbpmContext)
                               throws java.lang.Exception

    Specified by:
      `execute` in interface `Command`
    Throws:
      `java.lang.Exception`

  ### getProcessName

      public java.lang.String getProcessName()

  ### setProcessName

      public void setProcessName(java.lang.String processName)

  ### getProcessVersion

      public long getProcessVersion()

  ### setProcessVersion

      public void setProcessVersion(long processVersion)

  ### getStateName

      public java.lang.String getStateName()

  ### setStateName

      public void setStateName(java.lang.String stateName)

  ### getTokenIds

      public long[] getTokenIds()

  ### setTokenIds

      public void setTokenIds(long[] tokenIds)

  ### getTransitionName

      public java.lang.String getTransitionName()

  ### setTransitionName

      public void setTransitionName(java.lang.String transitionName)

  ### getInStateAtLeastSince

      public java.util.Date getInStateAtLeastSince()

  ### setInStateAtLeastSince

      public void setInStateAtLeastSince(java.util.Date inStateAtLeastSince)

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD